## holotz-castle 1.3.4

=== Makefile ===
# Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Prez - 2004.
# Makefile for Holotz's Castle.


HC_VERSION=1.3.4

all: 
	make -C src

distro-src:
	find . -iname "*~" -exec 'rm' '{}' ';';
	make clean;
	rm -rf _DISTRO/SRC;
	mkdir -p _DISTRO/SRC/holotz-castle-$(HC_VERSION)-src;\
	cp -RL [^_h]* _DISTRO/SRC/holotz-castle-$(HC_VERSION)-src &&\
	cd _DISTRO/SRC &&\
	tar -czvf holotz-castle-$(HC_VERSION)-src.tar.gz holotz-castle-$(HC_VERSION)-src &&\
	cd ../.. &&\
	rm -rf _DISTRO/SRC/holotz-castle-$(HC_VERSION)-src\

distro-i486:
	find . -iname "*~" -exec 'rm' '{}' ';';
	make I486_BUILD=1 CPU_OPTS="-march=i486 -mcpu=i486" &&\
	rm -rf _DISTRO/I486;
	mkdir -p _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486;
	cp -RL holotz-castle holotz-castle-editor res HCedHome doc LICENSE.txt MANUAL* _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486 &&\
	cd _DISTRO/I486 &&\
	tar -czvf holotz-castle-$(HC_VERSION)-linux-i486.tar.gz holotz-castle-$(HC_VERSION)-linux-i486;
	rm -rf _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486;

distro-win32:
	find . -iname "*~" -exec 'rm' '{}' ';';
	rm -rf _DISTRO/WIN32;
	mkdir -p _DISTRO/WIN32/HC;
	cp -RL _WIN32_DLLS/* holotz-castle.exe holotz-castle-editor.exe res HCedHome LICENSE.txt MANUAL* _DISTRO/WIN32/HC &&\
	cd _DISTRO/WIN32 &&\
	zip -r HC HC;
	mv _DISTRO/WIN32/HC.zip _DISTRO/WIN32/holotz-castle-$(HC_VERSION)-win32.zip;
	rm -rf _DISTRO/WIN32/HC;

install:
	make -C src install

uninstall:
	make -C src uninstall;

.PHONY: clean
clean:
	make -C src clean

=== JLib/Makefile ===
# Makefile para JLib.
# (C) Juan Carlos Seijo Prez - 2003.

GRAPHICS=JLib/Graphics
UTIL=JLib/Util
MATH=JLib/Math
SOUND=JLib/Sound
PHYSICS=JLib/Physics

JLIB_OBJS=$(GRAPHICS)/JControl.o $(GRAPHICS)/JUI.o $(GRAPHICS)/JGLAxes.o $(GRAPHICS)/JGLCamera.o $(GRAPHICS)/JGLConsole.o\
					$(GRAPHICS)/JGLGrid.o $(GRAPHICS)/JGLLight.o $(GRAPHICS)/JGLTexture.o $(GRAPHICS)/JGLVector.o \
	  			$(GRAPHICS)/JControlImage.o $(GRAPHICS)/JImage.o $(GRAPHICS)/JImageSprite.o $(GRAPHICS)/JSprite.o $(GRAPHICS)/JFont.o\
					$(GRAPHICS)/JTextMenu.o $(GRAPHICS)/JImageMenu.o $(GRAPHICS)/JGLMesh.o $(GRAPHICS)/JGLImage.o $(UTIL)/JFile.o\
					$(UTIL)/JGLApp.o $(UTIL)/JObject.o $(UTIL)/JTextFile.o $(UTIL)/JTextUtil.o $(UTIL)/JTimer.o $(UTIL)/JUtil.o\
					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(MATH)/J2DPolygon.o

# Definir -D_JLIB_DEBUG para hacer debug de JLib. Compilar el programa a debugear tambin con este flag
CFLAGS=-I. -O3 -ffast-math $(CPU_OPTS)
LDFLAGS=-L. -ffast-math -lSDL -lSDL_image -lSDL_ttf -lSDL_mixer

all: libJLib

# JLib
libJLib: $(JLIB_OBJS)
	g++ -shared -o $@.so $? \
	&& ar rvus $@.a $? \

$(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<
$(UTIL)/%.o: $(UTIL)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<
$(MATH)/%.o: $(MATH)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<

.PHONY: install
install:
	cp libJLib* /usr/local/lib/.; \
	find . -name *.h -exec 'cp' '--parents' '{}' '/usr/local/include/' ';' ; \
	ldconfig;

.PHONY: clean
clean:
	rm -rf JLib/*/*\.o libJLib.a libJLib.so

=== src/Makefile ===
# Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Pérez - 2004.
# Makefile for Holotz's Castle.

# Uncomment these lines if you don't want to install the game. Then
# you'll only be able to execute it from the directory it is in.
# Also comment lines bellow.
# Descomenta estas lneas si no quieres instalar el juego. Slo 
# podrs ejecutarlo desde el directorio donde est.
# Comenta las lneas ms abajo.
ifdef I486_BUILD
HC_DATA = res/
HCED_DATA = HCedHome/res/
endif

# Edit these lines to change the data and game installation dirs or
# comment out these lines to not install the game (also uncomment lines above)
# Edita estas lneas para cambiar el directorio de instalacin de datos y del juego o bien
# comenta estas lneas si no quieres instalar el juego (y descomenta las de arriba)
ifndef I486_BUILD
HC_BASE = /usr/share/games/holotz-castle/
HC_DATA = $(HC_BASE)game/
HCED_DATA = $(HC_BASE)editor/
HC_BIN_DIR = /usr/local/bin/
endif

DEFINES = -DHC_DATA_DIR=\"$(HC_DATA)\" -DHCED_DATA_DIR=\"$(HCED_DATA)\"

all: JLib HC HCed

HC_OBJ_MAIN=HolotzCastle.o
HC_OBJS=HCUtil.o HCTimer.o HCLoadSaveSlot.o HCPlaylist.o HCPreferences.o HCTheme.o HCText.o \
				HCBreak.o HCRope.o HCContFloor.o HCObject.o HCMap.o HCExit.o HCCharacter.o \
		    HCEnemy.o HCEnemyBall.o HCEnemyChaser.o HCEnemyMaker.o HCEnemyRandom.o \
				HCEnemyStatic.o HCScriptAction.o HCScriptBlock.o HCScript.o HCLevel.o

HCED_OBJ_MAIN=HCed.o

# Definir -D_JLIB_DEBUG para debug con JLib. Ponerlo también en el Makefile de JLib.
# Define -D_JLIB_DEBUG for JLib debug mode. Put it also in JLib's Makefile.
CFLAGS=-O3 -Wshadow $(CPU_OPTS) -ffast-math -c -I. -I../JLib $(shell sdl-config --cflags)
LDFLAGS=-L/usr/X11R6/lib -ffast-math -lSDL -lSDL_image -lSDL_mixer -lSDL_ttf -lGL -lGLU

JLib: 
	make -C ../JLib;

%.o: %.cpp %.h
	g++ $(CFLAGS) $(DEFINES) $< -o $@

HC: $(HC_OBJS) $(HC_OBJ_MAIN) ../JLib/libJLib.a
	g++ $(LDFLAGS) $? -o $@;\
	mv HC ../holotz-castle

# HCed (Holotz's Castle editor).
HCed: $(HC_OBJS) $(HCED_OBJ_MAIN) ../JLib/libJLib.a
	g++ $(LDFLAGS) $? -o $@;\
	mv HCed ../holotz-castle-editor

install:
	mkdir -p $(HC_DATA);\
  mkdir -p $(HCED_DATA);\
	chmod -R a+rx $(HC_DATA) $(HCED_DATA);\
  mkdir -p $(HC_BIN_DIR);\
	cp -r ../res/[^H]* $(HC_DATA) && cp -r ../HCedHome/res/* $(HCED_DATA);\
	chmod -R a+x ../holotz-castle ../holotz-castle-editor;\
	cp ../holotz-castle ../holotz-castle-editor $(HC_BIN_DIR);\
	chmod -R a+r $(HC_DATA) $(HCED_DATA);

uninstall:
	rm -rf $(HC_BASE);\
	rm -f $(HC_BIN_DIR)holotz-castle $(HC_BIN_DIR)holotz-castle-editor;\

.PHONY: clean
clean:
	rm -f ../holotz-castle;\
	rm -f ../holotz-castle-editor;\
	rm -f *\.o;\
  make -C ../JLib clean

## holotz-castle 1.3.6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile for Holotz's Castle.
 
 
-HC_VERSION=1.3.4
+HC_VERSION=1.3.6
 
 all: 
 	make -C src

=== JLib/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(MATH)/J2DPolygon.o
 
 # Definir -D_JLIB_DEBUG para hacer debug de JLib. Compilar el programa a debugear tambin con este flag
-CFLAGS=-I. -O3 -ffast-math $(CPU_OPTS)
+CFLAGS=-I. -O3 -ffast-math $(CPU_OPTS) -fPIC
 LDFLAGS=-L. -ffast-math -lSDL -lSDL_image -lSDL_ttf -lSDL_mixer
 
 all: libJLib

## holotz-castle 1.3.8

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Prez - 2004.
 # Makefile for Holotz's Castle.
 
-
-HC_VERSION=1.3.6
+HC_VERSION=1.3.8
 
 all: 
-	make -C src
+	$(MAKE) -C src
 
 distro-src:
 	find . -iname "*~" -exec 'rm' '{}' ';';
-	make clean;
+	$(MAKE) clean;
 	rm -rf _DISTRO/SRC;
 	mkdir -p _DISTRO/SRC/holotz-castle-$(HC_VERSION)-src;\
 	cp -RL [^_h]* _DISTRO/SRC/holotz-castle-$(HC_VERSION)-src &&\
@@ -20,7 +19,7 @@
 
 distro-i486:
 	find . -iname "*~" -exec 'rm' '{}' ';';
-	make I486_BUILD=1 CPU_OPTS="-march=i486 -mcpu=i486" &&\
+	$(MAKE) I486_BUILD=1 CPU_OPTS="-march=i486 -mcpu=i486" &&\
 	rm -rf _DISTRO/I486;
 	mkdir -p _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486;
 	cp -RL holotz-castle holotz-castle-editor res HCedHome doc LICENSE.txt MANUAL* _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486 &&\
@@ -39,11 +38,11 @@
 	rm -rf _DISTRO/WIN32/HC;
 
 install:
-	make -C src install
+	$(MAKE) -C src install
 
 uninstall:
-	make -C src uninstall;
+	$(MAKE) -C src uninstall;
 
 .PHONY: clean
 clean:
-	make -C src clean
+	$(MAKE) -C src clean

## holotz-castle 1.3.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Prez - 2004.
 # Makefile for Holotz's Castle.
 
-HC_VERSION=1.3.8
+HC_VERSION=1.3.9
 
 all: 
 	$(MAKE) -C src

=== JLib/Makefile ===
--- 
+++ 
@@ -12,17 +12,23 @@
 	  			$(GRAPHICS)/JControlImage.o $(GRAPHICS)/JImage.o $(GRAPHICS)/JImageSprite.o $(GRAPHICS)/JSprite.o $(GRAPHICS)/JFont.o\
 					$(GRAPHICS)/JTextMenu.o $(GRAPHICS)/JImageMenu.o $(GRAPHICS)/JGLMesh.o $(GRAPHICS)/JGLImage.o $(UTIL)/JFile.o\
 					$(UTIL)/JGLApp.o $(UTIL)/JObject.o $(UTIL)/JTextFile.o $(UTIL)/JTextUtil.o $(UTIL)/JTimer.o $(UTIL)/JUtil.o\
-					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(MATH)/J2DPolygon.o
+					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(UTIL)/JRW.o $(MATH)/J2DPolygon.o
 
-# Definir -D_JLIB_DEBUG para hacer debug de JLib. Compilar el programa a debugear tambin con este flag
-CFLAGS=-I. -O3 -ffast-math $(CPU_OPTS) -fPIC
-LDFLAGS=-L. -ffast-math -lSDL -lSDL_image -lSDL_ttf -lSDL_mixer
+ifndef SDL_CONFIG
+SDL_CONFIG = sdl-config
+endif
+
+# Define -D_JLIB_DEBUG to debug JLib. Compile the app to debug also with this flag
+CFLAGS=-I. -O3 -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
+
+# Sample LDFLAGS for applications
+# LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
 
 all: libJLib
 
 # JLib
 libJLib: $(JLIB_OBJS)
-	g++ -shared -o $@.so $? \
+	g++ -shared -fPIC -o $@.so $? \
 	&& ar rvus $@.a $? \
 
 $(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Pérez - 2004.
 # Makefile for Holotz's Castle.
+
+ifndef SDL_CONFIG
+SDL_CONFIG = sdl-config
+endif
 
 # Uncomment these lines if you don't want to install the game. Then
 # you'll only be able to execute it from the directory it is in.
@@ -16,6 +20,7 @@
 # comment out these lines to not install the game (also uncomment lines above)
 # Edita estas lneas para cambiar el directorio de instalacin de datos y del juego o bien
 # comenta estas lneas si no quieres instalar el juego (y descomenta las de arriba)
+
 ifndef I486_BUILD
 HC_BASE = /usr/share/games/holotz-castle/
 HC_DATA = $(HC_BASE)game/
@@ -37,11 +42,12 @@
 
 # Definir -D_JLIB_DEBUG para debug con JLib. Ponerlo también en el Makefile de JLib.
 # Define -D_JLIB_DEBUG for JLib debug mode. Put it also in JLib's Makefile.
-CFLAGS=-O3 -Wshadow $(CPU_OPTS) -ffast-math -c -I. -I../JLib $(shell sdl-config --cflags)
-LDFLAGS=-L/usr/X11R6/lib -ffast-math -lSDL -lSDL_image -lSDL_mixer -lSDL_ttf -lGL -lGLU
+CFLAGS=-I. -I../JLib -O3 -Wall -Werror -Wshadow $(CPU_OPTS) -ffast-math -c `$(SDL_CONFIG) --cflags`
+LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
+
 
 JLib: 
-	make -C ../JLib;
+	$(MAKE) -C ../JLib;
 
 %.o: %.cpp %.h
 	g++ $(CFLAGS) $(DEFINES) $< -o $@
@@ -74,4 +80,4 @@
 	rm -f ../holotz-castle;\
 	rm -f ../holotz-castle-editor;\
 	rm -f *\.o;\
-  make -C ../JLib clean
+  $(MAKE) -C ../JLib clean

## holotz-castle 1.3.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Prez - 2004.
 # Makefile for Holotz's Castle.
 
-HC_VERSION=1.3.9
+HC_VERSION=1.3.10
 
 all: 
 	$(MAKE) -C src

## holotz-castle 1.3.14

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Prez - 2004.
 # Makefile for Holotz's Castle.
 
-HC_VERSION=1.3.10
+HC_VERSION=1.3.14
 
 all: 
 	$(MAKE) -C src
@@ -19,10 +19,10 @@
 
 distro-i486:
 	find . -iname "*~" -exec 'rm' '{}' ';';
-	$(MAKE) I486_BUILD=1 CPU_OPTS="-march=i486 -mcpu=i486" &&\
+	$(MAKE) I486_BUILD=1 CPU_OPTS="-march=i486" &&\
 	rm -rf _DISTRO/I486;
 	mkdir -p _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486;
-	cp -RL holotz-castle holotz-castle-editor res HCedHome doc LICENSE.txt MANUAL* _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486 &&\
+	cp -RL holotz-castle holotz-castle-editor res HCedHome doc LICENSE.txt man _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486 &&\
 	cd _DISTRO/I486 &&\
 	tar -czvf holotz-castle-$(HC_VERSION)-linux-i486.tar.gz holotz-castle-$(HC_VERSION)-linux-i486;
 	rm -rf _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486;
@@ -31,7 +31,7 @@
 	find . -iname "*~" -exec 'rm' '{}' ';';
 	rm -rf _DISTRO/WIN32;
 	mkdir -p _DISTRO/WIN32/HC;
-	cp -RL _WIN32_DLLS/* holotz-castle.exe holotz-castle-editor.exe res HCedHome LICENSE.txt MANUAL* _DISTRO/WIN32/HC &&\
+	cp -RL _WIN32_DLLS/* holotz-castle.exe holotz-castle-editor.exe res HCedHome LICENSE.txt doc _DISTRO/WIN32/HC &&\
 	cd _DISTRO/WIN32 &&\
 	zip -r HC HC;
 	mv _DISTRO/WIN32/HC.zip _DISTRO/WIN32/holotz-castle-$(HC_VERSION)-win32.zip;

=== JLib/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 # Define -D_JLIB_DEBUG to debug JLib. Compile the app to debug also with this flag
-CFLAGS=-I. -O3 -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
+CFLAGS=-I. -I/usr/local/include/SDL -O3 -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
 
 # Sample LDFLAGS for applications
 # LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
@@ -28,15 +28,15 @@
 
 # JLib
 libJLib: $(JLIB_OBJS)
-	g++ -shared -fPIC -o $@.so $? \
+	g++-4.1 -shared -L/usr/lib -fPIC -o $@.so $? \
 	&& ar rvus $@.a $? \
 
 $(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	g++-4.1 $(CFLAGS) -c -o $@ $<
 $(UTIL)/%.o: $(UTIL)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	g++-4.1 $(CFLAGS) -c -o $@ $<
 $(MATH)/%.o: $(MATH)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	g++-4.1 $(CFLAGS) -c -o $@ $<
 
 .PHONY: install
 install:

=== src/Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 # Uncomment these lines if you don't want to install the game. Then
 # you'll only be able to execute it from the directory it is in.
 # Also comment lines bellow.
-# Descomenta estas lneas si no quieres instalar el juego. Slo 
-# podrs ejecutarlo desde el directorio donde est.
-# Comenta las lneas ms abajo.
+# Descomenta estas l�neas si no quieres instalar el juego. S�lo 
+# podr�s ejecutarlo desde el directorio donde est�.
+# Comenta las l�neas m�s abajo.
 ifdef I486_BUILD
 HC_DATA = res/
 HCED_DATA = HCedHome/res/
@@ -18,8 +18,8 @@
 
 # Edit these lines to change the data and game installation dirs or
 # comment out these lines to not install the game (also uncomment lines above)
-# Edita estas lneas para cambiar el directorio de instalacin de datos y del juego o bien
-# comenta estas lneas si no quieres instalar el juego (y descomenta las de arriba)
+# Edita estas l�neas para cambiar el directorio de instalaci�n de datos y del juego o bien
+# comenta estas l�neas si no quieres instalar el juego (y descomenta las de arriba)
 
 ifndef I486_BUILD
 HC_BASE = /usr/share/games/holotz-castle/
@@ -42,7 +42,7 @@
 
 # Definir -D_JLIB_DEBUG para debug con JLib. Ponerlo también en el Makefile de JLib.
 # Define -D_JLIB_DEBUG for JLib debug mode. Put it also in JLib's Makefile.
-CFLAGS=-I. -I../JLib -O3 -Wall -Werror -Wshadow $(CPU_OPTS) -ffast-math -c `$(SDL_CONFIG) --cflags`
+CFLAGS=-fno-strict-aliasing -I. -I../JLib `$(SDL_CONFIG) --cflags` -I/usr/local/include/ -I/usr/local/include/SDL -O3 -Wall -Werror -Wshadow $(CPU_OPTS) -ffast-math -c
 LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`

=== JLib/JLib/Graphics/Makefile ===
# Makefile para JLib.
# (C) Juan Carlos Seijo Prez - 2003.

ADD_INCLUDE=-I. -I/usr/local/include
GRAPHICS=JLib/Graphics
UTIL=JLib/Util
MATH=JLib/Math
SOUND=JLib/Sound
PHYSICS=JLib/Physics
JSPRITED=JLib/JSprited
JSCENED=JLib/JScened
TARGET=libJLib.so libJLib.a JSprited JScened

DBG_FLAG=-g
OPTIM=-O4 -mcpu=pentium2 -march=pentium2

WITH_LIBS=-lSDL -lSDL_image -lGL -lGLU -lfltk -lfltk_images

all: *.o

*.o: *.cpp *.h
	echo $?
	g++ $(DBG_FLAG) $(ADD_INCLUDE) -c -o $@ $<

.PHONY: clean
clean:
	rm -rf *.o

=== debian/changelog ===
holotz-castle (1.3.14-9) unstable; urgency=medium

  * Team upload.
  * Split maintscript file into $PACKAGE.maintscript files. (Closes: #857845)
    Thanks to Andreas Beckmann for the report.

 -- Markus Koschany <apo@debian.org>  Wed, 15 Mar 2017 19:23:28 +0100

holotz-castle (1.3.14-8) unstable; urgency=medium

  * Team upload.
  * Remove override for dh_installdocs and do not use unsupported --link-doc
    option for arch:all packages. Add maintscript file and use symlink_to_dir
    function to convert symlinked directories to real directories. Thanks to
    Axel Beckert for the report. (Closes: #857236)

 -- Markus Koschany <apo@debian.org>  Sun, 12 Mar 2017 21:50:38 +0100

holotz-castle (1.3.14-7) unstable; urgency=medium

  * Team upload.
  * Vcs-Browser: Use canonical Vcs-URI and https.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Add keywords and a comment in German.
  * Change homepage address to Debian Wiki because the original website is
    gone.
  * Update debian/copyright to copyright format 1.0. Add missing LGPL-2
    licensed files.
  * Add 15_clang-FTBFS.patch. Fix tautological comparison build failures
    with the clang compiler. Thanks to Alexander for the report and patch.
    (Closes: #754226)
  * Add hardening.patch and pass all build flags to the build system.
  * Remove Suggests: holotz-castle-milanb because this package does not exist
    anymore. Milanb is already part of holotz-castle.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Nov 2015 16:09:36 +0100

holotz-castle (1.3.14-6) unstable; urgency=low

  * Add patch to fix FTBFS with gcc-4.8. (Closes: #701294).
    + Thanks to Juhani Numminen for the patch.
  * Don't install themes/dungeons as they are just duplicates of themes/default.
  * Add patch to fix spelling errors in manpage and binaries.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 07 Jun 2013 16:47:25 -0400

holotz-castle (1.3.14-5) unstable; urgency=low

  * Team upload.
  * Build-Depends on zlib1g-dev. Fix FTBFS (Closes: #669444)
  * Standards-Version 3.9.3

 -- Vincent Legout <vlegout@debian.org>  Sun, 29 Apr 2012 10:17:42 +0200

holotz-castle (1.3.14-4) unstable; urgency=low

  * Team upload

  [ Felix Geyer ]
  * Fix FTBFS with ld --as-needed.
    - Update 02_makefile.patch
  * Update Vcs-Browser control field.
  * Drop executable bit from data files.
  * Bump Standards-Version to 3.9.2, no changes needed.

  [ Andreas Moog ]
  * Fix compiler warnings -Wunused-but-set-variable and -Wunused-result
    (Closes: #625353)
    - Add 12_gcc-4.6.patch
  * Switch to dh-sequencer in debian/rules (Closes: #633494)
    - Use debian/*.install|manpages
    - Switch to compat level 8

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 04 Aug 2011 11:10:01 +0200

holotz-castle (1.3.14-3) unstable; urgency=low

  * Team upload.

  [ Peter Pentchev ]
  * Link with zlib to fix the FTBFS with recent linker versions.
    Closes: #615730
  * Convert to the 3.0 (quilt) source format:
    - drop the quilt build dependency
    - drop the README.source file
    - drop the quilt snippets in the rules file
  * Add misc:Depends to the binary packages.
  * Add a DEP 3 header to the 11_dirent64 patch.

  [ Ansgar Burchardt ]
  * debian/copyright: Refer to "Debian systems" instead of only "Debian
    GNU/Linux systems".
  * Bump Standards-Version to 3.9.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 16 Mar 2011 11:46:03 +0100

holotz-castle (1.3.14-2) unstable; urgency=low

  [ Barry deFreese ]
  * 11_dirent64.patch-JFS.cpp change dirent64 to dirent. (Closes: #552900).
  * Add README.source for quilt.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 13 Nov 2009 09:12:48 -0500

holotz-castle (1.3.14-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 15 May 2009 11:59:12 -0400

holotz-castle (1.3.13-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
  * milanb levels are now included in the main source. Added
    holotz-castle-milanb to Conflicts and Provides
  * Removed DM-Upload-Allowed: yes from debian/control
  * Refreshed patches so that they apply on the newer code
  * Manpages are now in man/ and not in doc/

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Version GPL license path to GPL-2.
  * 10_dont_hardcode_g++41.patch - JLib/Makefile hardcoded to g++-4.1.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 08 Apr 2009 12:42:18 -0400

holotz-castle (1.3.10-1) unstable; urgency=high

  [ Eddy Petrișor ]
  * remove myself from the Uploaders list

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis)

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Barry deFreese ]
  * New upstream release.
  * Update copyright file. (Closes: #457257).
  * Add suggests for holotz-castle-milanb. (Closes: #455596).
  * Add watch file.
  * Bump debhelper build-dep to 5.
  * Add Homepage field in control.
  * Add typo fixes in manpage patches.
  * Remove deprecated encoding tag from desktop file.
  * Convert encoding to UTF-8 on debian/copyright.
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*

  [ Miriam Ruiz ]
  * Updated 05_jlib.patch. Fixed FTBFS with GCC 4.3. Closes: #417061
    Thanks to Maximiliano Curia <maxy@gnuservers.com.ar>
  * Added patch to fix gcc 4.3 issues: 09_gcc-4.3.patch
  * Added copyright statements to patches

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Sat, 26 Apr 2008 02:25:38 +0200

holotz-castle (1.3.9-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * call dh_desktop to run update-desktop-database

  [Miriam Ruiz]


=== debian/control ===
Source: holotz-castle
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.13.19),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://wiki.debian.org/Games/HolotzCastle
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/holotz-castle/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/holotz-castle/

Package: holotz-castle
Architecture: any
Depends:
 holotz-castle-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: platform game with high doses of mystery
 A great mystery is hidden beyond the walls of Holotz's Castle. Will
 you be able to help Ybelle and Ludar to escape alive from the castle?
 Test your dexterity with this tremendously exciting platform game!

Package: holotz-castle-data
Architecture: all
Conflicts:
 holotz-castle-milanb
Provides:
 holotz-castle-milanb
Depends:
 ${misc:Depends}
Description: platform game with high doses of mystery - data files
 This package contains data files for the Holotz's Castle game.
 .
 Included are the milanb and holotz-castle maps.

Package: holotz-castle-editor
Architecture: any
Depends:
 holotz-castle-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: platform game with high doses of mystery - level editor
 This package contains the level editor for the Holotz's Castle game.
 .
 The level editor allows you to modify or create new maps and levels
 for Holotz's Castle.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	if [ -d debian/holotz-castle-data ]; then \
		chmod a-x debian/holotz-castle-data/usr/share/games/holotz-castle/game/stories/milanb/*.hlv; \
	fi

override_dh_auto_install:

## holotz-castle 1.3.14-4+6.0trisquel1

=== debian/changelog ===
holotz-castle (1.3.14-4+6.0trisquel1) toutatis; urgency=low

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 01 Dec 2012 00:35:02 +0000

=== debian/control ===
Source: holotz-castle
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.13.19),
 libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.9.2
Homepage: http://www.mainreactor.net/holotzcastle/en/index_en.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/holotz-castle/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/holotz-castle/

Package: holotz-castle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, holotz-castle-data (= ${source:Version})
Suggests: holotz-castle-milanb
Description: platform game with high doses of mystery
 A great mystery is hidden beyond the walls of Holotz's Castle. Will
 you be able to help Ybelle and Ludar to escape alive from the castle?
 Test your dexterity with this tremendously exciting platform game!

Package: holotz-castle-data
Architecture: all
Conflicts: holotz-castle-milanb
Provides: holotz-castle-milanb
Depends: ${misc:Depends}
Description: platform game with high doses of mystery - data files
 This package contains data files for the Holotz's Castle game.

Package: holotz-castle-editor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, holotz-castle-data (= ${source:Version})
Description: platform game with high doses of mystery - level editor
 This package contains the level editor for the Holotz's Castle game.

## holotz-castle 1.3.14-6+7.0trisquel1

=== debian/changelog ===
holotz-castle (1.3.14-6+7.0trisquel1) belenos; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 23 Nov 2014 23:07:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Barry deFreese <bdefreese@debian.org>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.13.19),
- libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19),
+ libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev, zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://www.mainreactor.net/holotzcastle/en/index_en.html
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/holotz-castle/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/holotz-castle/
@@ -26,9 +26,14 @@
 Depends: ${misc:Depends}
 Description: platform game with high doses of mystery - data files
  This package contains data files for the Holotz's Castle game.
+ .
+ Included are the milanb and holotz-castle maps.
 
 Package: holotz-castle-editor
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, holotz-castle-data (= ${source:Version})
 Description: platform game with high doses of mystery - level editor
  This package contains the level editor for the Holotz's Castle game.
+ .
+ The level editor allows you to modify or create new maps and levels
+ for Holotz's Castle.

## holotz-castle 1.3.14-7+8.0trisquel1

=== debian/changelog ===
holotz-castle (1.3.14-7+8.0trisquel1) flidas; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 18:47:50 +0000

## holotz-castle 1.3.14-9build1+10.0trisquel1

=== JLib/Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 MATH=JLib/Math
 SOUND=JLib/Sound
 PHYSICS=JLib/Physics
+HARDENING := $(shell dpkg-buildflags --get CFLAGS)
+HARDENING += $(shell dpkg-buildflags --get CPPFLAGS)
+HARDENING += $(shell dpkg-buildflags --get CXXFLAGS)
+HARDENING_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 JLIB_OBJS=$(GRAPHICS)/JControl.o $(GRAPHICS)/JUI.o $(GRAPHICS)/JGLAxes.o $(GRAPHICS)/JGLCamera.o $(GRAPHICS)/JGLConsole.o\
 					$(GRAPHICS)/JGLGrid.o $(GRAPHICS)/JGLLight.o $(GRAPHICS)/JGLTexture.o $(GRAPHICS)/JGLVector.o \
@@ -19,7 +23,8 @@
 endif
 
 # Define -D_JLIB_DEBUG to debug JLib. Compile the app to debug also with this flag
-CFLAGS=-I. -I/usr/local/include/SDL -O3 -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
+MORE_CFLAGS= -O3
+CFLAGS=-I. -I/usr/local/include/SDL $(MORE_CFLAGS) $(HARDENING) -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
 
 # Sample LDFLAGS for applications
 # LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
@@ -28,15 +33,15 @@
 
 # JLib
 libJLib: $(JLIB_OBJS)
-	g++-4.1 -shared -L/usr/lib -fPIC -o $@.so $? \
+	g++ $(HARDENING_LDFLAGS) -shared -L/usr/lib -fPIC -o $@.so $? \
 	&& ar rvus $@.a $? \
 
 $(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
-	g++-4.1 $(CFLAGS) -c -o $@ $<
+	g++ $(CFLAGS) -c -o $@ $<
 $(UTIL)/%.o: $(UTIL)/%.cpp
-	g++-4.1 $(CFLAGS) -c -o $@ $<
+	g++ $(CFLAGS) -c -o $@ $<
 $(MATH)/%.o: $(MATH)/%.cpp
-	g++-4.1 $(CFLAGS) -c -o $@ $<
+	g++ $(CFLAGS) -c -o $@ $<
 
 .PHONY: install
 install:

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Pérez - 2004.
 # Makefile for Holotz's Castle.
+
+HARDENING := $(shell dpkg-buildflags --get CFLAGS)
+HARDENING += $(shell dpkg-buildflags --get CPPFLAGS)
+HARDENING += $(shell dpkg-buildflags --get CXXFLAGS)
+HARDENING_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 ifndef SDL_CONFIG
 SDL_CONFIG = sdl-config
@@ -25,7 +30,7 @@
 HC_BASE = /usr/share/games/holotz-castle/
 HC_DATA = $(HC_BASE)game/
 HCED_DATA = $(HC_BASE)editor/
-HC_BIN_DIR = /usr/local/bin/
+HC_BIN_DIR = /usr/games/
 endif
 
 DEFINES = -DHC_DATA_DIR=\"$(HC_DATA)\" -DHCED_DATA_DIR=\"$(HCED_DATA)\"
@@ -42,8 +47,11 @@
 
 # Definir -D_JLIB_DEBUG para debug con JLib. Ponerlo también en el Makefile de JLib.
 # Define -D_JLIB_DEBUG for JLib debug mode. Put it also in JLib's Makefile.
-CFLAGS=-fno-strict-aliasing -I. -I../JLib `$(SDL_CONFIG) --cflags` -I/usr/local/include/ -I/usr/local/include/SDL -O3 -Wall -Werror -Wshadow $(CPU_OPTS) -ffast-math -c
-LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
+MORE_CFLAGS= -O3
+
+CFLAGS=-fno-strict-aliasing -I. -I../JLib `$(SDL_CONFIG) --cflags` -I/usr/local/include/ -I/usr/local/include/SDL $(MORE_CFLAGS) $(HARDENING) -Wall -Wshadow $(CPU_OPTS) -ffast-math -c
+LDFLAGS=-ffast-math $(HARDENING_LDFLAGS)
+LIBS=-L. -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs` -lz
 
 
 JLib: 
@@ -53,12 +61,12 @@
 	g++ $(CFLAGS) $(DEFINES) $< -o $@
 
 HC: $(HC_OBJS) $(HC_OBJ_MAIN) ../JLib/libJLib.a
-	g++ $(LDFLAGS) $? -o $@;\
+	g++ $(LDFLAGS) $? -o $@ $(LIBS);\
 	mv HC ../holotz-castle
 
 # HCed (Holotz's Castle editor).
 HCed: $(HC_OBJS) $(HCED_OBJ_MAIN) ../JLib/libJLib.a
-	g++ $(LDFLAGS) $? -o $@;\
+	g++ $(LDFLAGS) $? -o $@ $(LIBS);\
 	mv HCed ../holotz-castle-editor
 
 install:

=== .pc/10_dont_hardcode_g++41.patch/JLib/Makefile ===
# Makefile para JLib.
# (C) Juan Carlos Seijo Prez - 2003.

GRAPHICS=JLib/Graphics
UTIL=JLib/Util
MATH=JLib/Math
SOUND=JLib/Sound
PHYSICS=JLib/Physics

JLIB_OBJS=$(GRAPHICS)/JControl.o $(GRAPHICS)/JUI.o $(GRAPHICS)/JGLAxes.o $(GRAPHICS)/JGLCamera.o $(GRAPHICS)/JGLConsole.o\
					$(GRAPHICS)/JGLGrid.o $(GRAPHICS)/JGLLight.o $(GRAPHICS)/JGLTexture.o $(GRAPHICS)/JGLVector.o \
	  			$(GRAPHICS)/JControlImage.o $(GRAPHICS)/JImage.o $(GRAPHICS)/JImageSprite.o $(GRAPHICS)/JSprite.o $(GRAPHICS)/JFont.o\
					$(GRAPHICS)/JTextMenu.o $(GRAPHICS)/JImageMenu.o $(GRAPHICS)/JGLMesh.o $(GRAPHICS)/JGLImage.o $(UTIL)/JFile.o\
					$(UTIL)/JGLApp.o $(UTIL)/JObject.o $(UTIL)/JTextFile.o $(UTIL)/JTextUtil.o $(UTIL)/JTimer.o $(UTIL)/JUtil.o\
					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(UTIL)/JRW.o $(MATH)/J2DPolygon.o

ifndef SDL_CONFIG
SDL_CONFIG = sdl-config
endif

# Define -D_JLIB_DEBUG to debug JLib. Compile the app to debug also with this flag
MORE_CFLAGS= -O3
CFLAGS=-I. -I/usr/local/include/SDL $(MORE_CFLAGS) -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`

# Sample LDFLAGS for applications
# LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`

all: libJLib

# JLib
libJLib: $(JLIB_OBJS)
	g++-4.1 -shared -L/usr/lib -fPIC -o $@.so $? \
	&& ar rvus $@.a $? \

$(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
	g++-4.1 $(CFLAGS) -c -o $@ $<
$(UTIL)/%.o: $(UTIL)/%.cpp
	g++-4.1 $(CFLAGS) -c -o $@ $<
$(MATH)/%.o: $(MATH)/%.cpp
	g++-4.1 $(CFLAGS) -c -o $@ $<

.PHONY: install
install:
	cp libJLib* /usr/local/lib/.; \
	find . -name *.h -exec 'cp' '--parents' '{}' '/usr/local/include/' ';' ; \
	ldconfig;

.PHONY: clean
clean:
	rm -rf JLib/*/*\.o libJLib.a libJLib.so

=== .pc/16_hardening.patch/JLib/Makefile ===
# Makefile para JLib.
# (C) Juan Carlos Seijo Prez - 2003.

GRAPHICS=JLib/Graphics
UTIL=JLib/Util
MATH=JLib/Math
SOUND=JLib/Sound
PHYSICS=JLib/Physics

JLIB_OBJS=$(GRAPHICS)/JControl.o $(GRAPHICS)/JUI.o $(GRAPHICS)/JGLAxes.o $(GRAPHICS)/JGLCamera.o $(GRAPHICS)/JGLConsole.o\
					$(GRAPHICS)/JGLGrid.o $(GRAPHICS)/JGLLight.o $(GRAPHICS)/JGLTexture.o $(GRAPHICS)/JGLVector.o \
	  			$(GRAPHICS)/JControlImage.o $(GRAPHICS)/JImage.o $(GRAPHICS)/JImageSprite.o $(GRAPHICS)/JSprite.o $(GRAPHICS)/JFont.o\
					$(GRAPHICS)/JTextMenu.o $(GRAPHICS)/JImageMenu.o $(GRAPHICS)/JGLMesh.o $(GRAPHICS)/JGLImage.o $(UTIL)/JFile.o\
					$(UTIL)/JGLApp.o $(UTIL)/JObject.o $(UTIL)/JTextFile.o $(UTIL)/JTextUtil.o $(UTIL)/JTimer.o $(UTIL)/JUtil.o\
					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(UTIL)/JRW.o $(MATH)/J2DPolygon.o

ifndef SDL_CONFIG
SDL_CONFIG = sdl-config
endif

# Define -D_JLIB_DEBUG to debug JLib. Compile the app to debug also with this flag
MORE_CFLAGS= -O3
CFLAGS=-I. -I/usr/local/include/SDL $(MORE_CFLAGS) -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`

# Sample LDFLAGS for applications
# LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`

all: libJLib

# JLib
libJLib: $(JLIB_OBJS)
	g++ -shared -L/usr/lib -fPIC -o $@.so $? \
	&& ar rvus $@.a $? \

$(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<
$(UTIL)/%.o: $(UTIL)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<
$(MATH)/%.o: $(MATH)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<

.PHONY: install
install:
	cp libJLib* /usr/local/lib/.; \
	find . -name *.h -exec 'cp' '--parents' '{}' '/usr/local/include/' ';' ; \
	ldconfig;

.PHONY: clean
clean:
	rm -rf JLib/*/*\.o libJLib.a libJLib.so

=== .pc/16_hardening.patch/src/Makefile ===
# Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Pérez - 2004.
# Makefile for Holotz's Castle.

ifndef SDL_CONFIG
SDL_CONFIG = sdl-config
endif

# Uncomment these lines if you don't want to install the game. Then
# you'll only be able to execute it from the directory it is in.
# Also comment lines bellow.
# Descomenta estas l�neas si no quieres instalar el juego. S�lo 
# podr�s ejecutarlo desde el directorio donde est�.
# Comenta las l�neas m�s abajo.
ifdef I486_BUILD
HC_DATA = res/
HCED_DATA = HCedHome/res/
endif

# Edit these lines to change the data and game installation dirs or
# comment out these lines to not install the game (also uncomment lines above)
# Edita estas l�neas para cambiar el directorio de instalaci�n de datos y del juego o bien
# comenta estas l�neas si no quieres instalar el juego (y descomenta las de arriba)

ifndef I486_BUILD
HC_BASE = /usr/share/games/holotz-castle/
HC_DATA = $(HC_BASE)game/
HCED_DATA = $(HC_BASE)editor/
HC_BIN_DIR = /usr/games/
endif

DEFINES = -DHC_DATA_DIR=\"$(HC_DATA)\" -DHCED_DATA_DIR=\"$(HCED_DATA)\"

all: JLib HC HCed

HC_OBJ_MAIN=HolotzCastle.o
HC_OBJS=HCUtil.o HCTimer.o HCLoadSaveSlot.o HCPlaylist.o HCPreferences.o HCTheme.o HCText.o \
				HCBreak.o HCRope.o HCContFloor.o HCObject.o HCMap.o HCExit.o HCCharacter.o \
		    HCEnemy.o HCEnemyBall.o HCEnemyChaser.o HCEnemyMaker.o HCEnemyRandom.o \
				HCEnemyStatic.o HCScriptAction.o HCScriptBlock.o HCScript.o HCLevel.o

HCED_OBJ_MAIN=HCed.o

# Definir -D_JLIB_DEBUG para debug con JLib. Ponerlo también en el Makefile de JLib.
# Define -D_JLIB_DEBUG for JLib debug mode. Put it also in JLib's Makefile.
MORE_CFLAGS= -O3
CFLAGS=-fno-strict-aliasing -I. -I../JLib `$(SDL_CONFIG) --cflags` -I/usr/local/include/ -I/usr/local/include/SDL $(MORE_CFLAGS) -Wall -Werror -Wshadow $(CPU_OPTS) -ffast-math -c
LDFLAGS=-ffast-math
LIBS=-L. -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs` -lz


JLib: 
	$(MAKE) -C ../JLib;

%.o: %.cpp %.h
	g++ $(CFLAGS) $(DEFINES) $< -o $@

HC: $(HC_OBJS) $(HC_OBJ_MAIN) ../JLib/libJLib.a
	g++ $(LDFLAGS) $? -o $@ $(LIBS);\
	mv HC ../holotz-castle

# HCed (Holotz's Castle editor).
HCed: $(HC_OBJS) $(HCED_OBJ_MAIN) ../JLib/libJLib.a
	g++ $(LDFLAGS) $? -o $@ $(LIBS);\
	mv HCed ../holotz-castle-editor

install:
	mkdir -p $(HC_DATA);\
  mkdir -p $(HCED_DATA);\
	chmod -R a+rx $(HC_DATA) $(HCED_DATA);\
  mkdir -p $(HC_BIN_DIR);\
	cp -r ../res/[^H]* $(HC_DATA) && cp -r ../HCedHome/res/* $(HCED_DATA);\
	chmod -R a+x ../holotz-castle ../holotz-castle-editor;\
	cp ../holotz-castle ../holotz-castle-editor $(HC_BIN_DIR);\
	chmod -R a+r $(HC_DATA) $(HCED_DATA);

uninstall:
	rm -rf $(HC_BASE);\
	rm -f $(HC_BIN_DIR)holotz-castle $(HC_BIN_DIR)holotz-castle-editor;\

.PHONY: clean
clean:
	rm -f ../holotz-castle;\
	rm -f ../holotz-castle-editor;\
	rm -f *\.o;\
  $(MAKE) -C ../JLib clean

=== debian/changelog ===
holotz-castle (1.3.14-9build1+10.0trisquel1) nabia; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 31 Jul 2021 15:09:29 +0000

holotz-castle (1.3.14-9build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:52 +0100

## holotz-castle 1.3.14-9+9.0trisquel1

=== debian/changelog ===
holotz-castle (1.3.14-9+9.0trisquel1) etiona; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 21:23:22 +0000

## holotz-castle 1.3.14-12+11.0trisquel1

=== JLib/Makefile ===
--- 
+++ 
@@ -33,15 +33,15 @@
 
 # JLib
 libJLib: $(JLIB_OBJS)
-	g++ $(HARDENING_LDFLAGS) -shared -L/usr/lib -fPIC -o $@.so $? \
+	$(CXX) $(HARDENING_LDFLAGS) -shared -L/usr/lib -fPIC -o $@.so $? \
 	&& ar rvus $@.a $? \
 
 $(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGS) -c -o $@ $<
 $(UTIL)/%.o: $(UTIL)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGS) -c -o $@ $<
 $(MATH)/%.o: $(MATH)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGS) -c -o $@ $<
 
 .PHONY: install
 install:

=== src/Makefile ===
--- 
+++ 
@@ -58,15 +58,15 @@
 	$(MAKE) -C ../JLib;
 
 %.o: %.cpp %.h
-	g++ $(CFLAGS) $(DEFINES) $< -o $@
+	$(CXX) $(CFLAGS) $(DEFINES) $< -o $@
 
 HC: $(HC_OBJS) $(HC_OBJ_MAIN) ../JLib/libJLib.a
-	g++ $(LDFLAGS) $? -o $@ $(LIBS);\
+	$(CXX) $(LDFLAGS) $? -o $@ $(LIBS);\
 	mv HC ../holotz-castle
 
 # HCed (Holotz's Castle editor).
 HCed: $(HC_OBJS) $(HCED_OBJ_MAIN) ../JLib/libJLib.a
-	g++ $(LDFLAGS) $? -o $@ $(LIBS);\
+	$(CXX) $(LDFLAGS) $? -o $@ $(LIBS);\
 	mv HCed ../holotz-castle-editor
 
 install:

=== debian/changelog ===
holotz-castle (1.3.14-12+11.0trisquel1) aramo; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 17:15:29 +0000

holotz-castle (1.3.14-12) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.6.0.
  * Remove B-D on dpkg-dev.
  * Mark holotz-castle-data Multi-Arch: foreign
  * Fix FTBFS with GCC 11. (Closes: #984177)

 -- Markus Koschany <apo@debian.org>  Thu, 21 Oct 2021 23:45:09 +0200

holotz-castle (1.3.14-11) unstable; urgency=medium

  * Team upload.
  * Build with --no-parallel to avoid a race condition and FTBFS.

 -- Markus Koschany <apo@debian.org>  Sun, 31 May 2020 15:46:25 +0200

holotz-castle (1.3.14-10) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: upstream build system hard codes build architecture compiler.
    Thanks to Helmut Grohne for the patch. (Closes: #900141)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Remove obsolete holotz-castle.menu file.

 -- Markus Koschany <apo@debian.org>  Sat, 30 May 2020 22:07:03 +0200
